import type { ReactNode, CSSProperties } from "react";
export type TextProps = {
    as?: "p" | "div" | "span";
    children?: ReactNode;
    className?: string;
    size?: "tiny" | "small" | "medium";
    skin?: "standard" | "success" | "error" | "premium" | "disabled" | "primary";
    textAlign?: "left" | "center" | "right";
    weight?: "thin" | "normal" | "bold";
    onClick?: (event: any) => void;
    style?: CSSProperties;
};
